function init() {
	var editor_id = tinyMCE.getWindowArg('editor_id');
	var inst = tinyMCE.getInstanceById(editor_id);
	var elm = inst.getFocusElement();

	if(elm && elm.nodeName.toUpperCase() == 'INPUT' && elm.getAttribute('type') == 'checkbox') {
		var formObj = document.forms[0];
		formObj.insert.value = 'Modify';
	
		var attrs = '';
		for(var i = 0; i < elm.attributes.length; ++i) 
			if(elm.attributes[i].name != 'id' && elm.attributes[i].name != 'name' && elm.attributes[i].name != 'type' && elm.attributes[i].name != 'value' && elm.attributes[i].name != 'checked' && elm.attributes[i].name != 'style')
				attrs += ' '+elm.attributes[i].name+'="'+elm.attributes[i].value+'"';
	
		formObj.checkbox_id.value = elm.getAttribute('id');
		formObj.checkbox_name.value = elm.getAttribute('name');
		formObj.checkbox_initial_value.value = elm.getAttribute('value');
		formObj.checkbox_attributes.value = attrs;
		formObj.checkbox_style.value = elm.getAttribute('style');
		
		if(elm.getAttribute('checked') == null)
			formObj.checkbox_initial_state.options[1].selected = true;
	}
};

function insertAction() {
	var formObj = document.forms[0];
	if(formCheck(formObj)) {
		var editor_id = tinyMCE.getWindowArg('editor_id');
		var inst = tinyMCE.getInstanceById(editor_id);
	
		var id = formObj.checkbox_id.value;
		var name = formObj.checkbox_name.value;
		var initial_value = formObj.checkbox_initial_value.value;
		var initial_state = formObj.checkbox_initial_state;
		var initial_state_value = initial_state ? initial_state.options[initial_state.selectedIndex].value : '';
		var attributes = formObj.checkbox_attributes.value;
		var style = formObj.checkbox_style.value;
	
		var html = '&nbsp;<input type="checkbox"';
		if (id && id != "")
			html += ' id="'+id+'"';
		if (name && name != "")
			html += ' name="'+name+'"';
		if (initial_value && initial_value != "")
			html += ' value="'+initial_value+'"';
		html += ' '+initial_state_value;
		if (attributes && attributes != "")
			html += ' '+attributes;
		if (style && style != "")
			html += ' style="'+style+'"';
		html += ' />&nbsp;<br/>';
	
		tinyMCEPopup.execCommand("mceInsertContent", false, html);
		tinyMCE._setEventsEnabled(inst.getBody(), false);
		tinyMCEPopup.close();
	}
};

function cancelAction() {
	tinyMCEPopup.close();
};
