function init() {
	var editor_id = tinyMCE.getWindowArg('editor_id');
	var inst = tinyMCE.getInstanceById(editor_id);
	var elm = inst.getFocusElement();

	if(elm && elm.nodeName.toUpperCase() == 'INPUT' && elm.getAttribute('type') == 'hidden') {
		var formObj = document.forms[0];
		formObj.insert.value = 'Modify';
	
		var attrs = '';
		for(var i = 0; i < elm.attributes.length; ++i) 
			if(elm.attributes[i].name != 'id' && elm.attributes[i].name != 'name' && elm.attributes[i].name != 'value')
				attrs += ' '+elm.attributes[i].name+'="'+elm.attributes[i].value+'"';
	
		formObj.hidden_id.value = elm.getAttribute('id');
		formObj.hidden_name.value = elm.getAttribute('name');
		formObj.hidden_initial_value.value = elm.getAttribute('value');
		formObj.hidden_attributes.value = attrs;
	}
};

function insertAction() {
	var formObj = document.forms[0];
	if(formCheck(formObj)) {
		var editor_id = tinyMCE.getWindowArg('editor_id');
		var inst = tinyMCE.getInstanceById(editor_id);
	
		var id = formObj.hidden_id.value;
		var name = formObj.hidden_name.value;
		var initial_value = formObj.hidden_initial_value.value;
		var attributes = formObj.hidden_attributes.value;
	
		var html = '&nbsp;<input type="hidden"';
		if (id && id != "")
			html += ' id="'+id+'"';
		if (name && name != "")
			html += ' name="'+name+'"';
		if (initial_value && initial_value != "")
			html += ' value="'+initial_value+'"';
		if (attributes && attributes != "")
			html += ' '+attributes;
		html += ' />&nbsp;<br/>';
	
		tinyMCEPopup.execCommand("mceInsertContent", false, html);
		tinyMCE._setEventsEnabled(inst.getBody(), false);
		tinyMCEPopup.close();
	}
};

function cancelAction() {
	tinyMCEPopup.close();
};
