function init() {
	var editor_id = tinyMCE.getWindowArg('editor_id');
	var inst = tinyMCE.getInstanceById(editor_id);
	var elm = inst.getFocusElement();

	if(elm && elm.nodeName.toUpperCase() == 'TEXTAREA') {
		var formObj = document.forms[0];
		formObj.insert.value = 'Modify';
	
		var attrs = '';
		for(var i = 0; i < elm.attributes.length; ++i) 
			if(elm.attributes[i].name != 'id' && elm.attributes[i].name != 'name' && elm.attributes[i].name != 'rows' && elm.attributes[i].name != 'cols' && elm.attributes[i].name != 'style')
				attrs += ' '+elm.attributes[i].name+'="'+elm.attributes[i].value+'"';
	
		formObj.textarea_id.value = elm.getAttribute('id');
		formObj.textarea_name.value = elm.getAttribute('name');
		formObj.textarea_lines.value = elm.getAttribute('rows');
		formObj.textarea_character_width.value = elm.getAttribute('cols');
		formObj.textarea_initial_value.value = elm.innerHTML;
		formObj.textarea_attributes.value = attrs;
		formObj.textarea_style.value =  elm.getAttribute('style');
	}
};

function insertAction() {
	var formObj = document.forms[0];
	if(formCheck(formObj)) {
		var editor_id = tinyMCE.getWindowArg('editor_id');
		var inst = tinyMCE.getInstanceById(editor_id);
	
		var id = formObj.textarea_id.value;
		var name = formObj.textarea_name.value;
		var rows = formObj.textarea_lines.value;
		var cols = formObj.textarea_character_width.value;
		var initial_value = formObj.textarea_initial_value.value;
		var attributes = formObj.textarea_attributes.value;
		var style = formObj.textarea_style.value;
		
		if(!parseInt(rows)) rows = 5;
		if(!parseInt(cols)) cols = 20;
		
		var html = '&nbsp;<textarea';
		if (id && id != "")
			html += ' id="'+id+'"';
		if (name && name != "")
			html += ' name="'+name+'"';
		if (cols && cols != "")
			html += ' cols="'+cols+'"';
		if (rows && rows != "")
			html += ' rows="'+rows+'"';
		if (attributes && attributes != "")
			html += ' '+attributes;
		if (style && style != "")
			html += ' style="'+style+'"';
		html += '>';
		if (initial_value && initial_value != "")
			html += initial_value;
		html += '</textarea>&nbsp;<br/>';
	
		tinyMCEPopup.execCommand("mceInsertContent", false, html);
		tinyMCE._setEventsEnabled(inst.getBody(), false);
		tinyMCEPopup.close();
	}
};

function cancelAction() {
	tinyMCEPopup.close();
};
